Issue 77689

Summary: Saving document containing many Redlines crashes
Product: Writer Reporter: pavel
Component: save-exportAssignee: michael.ruess
Status: CLOSED FIXED QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P2 CC: issues
Version: OOo 2.2.1 RC2Keywords: regression
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Modify document and save it, it will crash. none

Description pavel 2007-05-22 19:55:40 UTC
Change something in this document, save -> crash.

On Mac OS X, the stack is:

Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_PROTECTION_FAILURE at address: 0x00000008
[Switching to process 14565 thread 0x2e03]
0x06c57b6c in SwTxtNode::GetDropLen ()
(gdb) where
#0  0x06c57b6c in SwTxtNode::GetDropLen ()
#1  0x06c54578 in SwTxtNode::GetDropLen ()
#2  0x06a7121b in SwModify::Modify ()
#3  0x06c742e6 in SwTxtNode::Erase ()
#4  0x06cab053 in SwCrsrShell::PaMCorrAbs ()
#5  0x06cad9fb in SwCrsrShell::PaMCorrAbs ()
#6  0x06cde23c in SwFtnInfo::SwFtnInfo ()
#7  0x06cdef1a in SwFtnInfo::SwFtnInfo ()
#8  0x06cd9cc6 in SwFtnInfo::SwFtnInfo ()
#9  0x06fb1ea7 in SwIoSystem::IsFileFilter ()
#10 0x06eed658 in SwIoSystem::IsFileFilter ()
#11 0x06fb0356 in SwIoSystem::IsFileFilter ()
#12 0x06e449dd in SwIoSystem::IsFileFilter ()
#13 0x06ff06e8 in SwDocShell::Save ()
#14 0x045bf650 in SfxObjectShell::SaveAsOwnFormat ()
#15 0x045c63e1 in SfxObjectShell::SaveAs ()
#16 0x045c8b96 in SfxObjectShell::SaveAs ()
#17 0x045c8fd5 in SfxObjectShell::DoSaveAs ()
#18 0x046218ec in SfxBaseModel::storeSelf ()
#19 0x0463b2fe in SfxBaseModel::getUIConfigurationManager ()
#20 0x045d0cf2 in SfxObjectShell::GetDocumentSignatureState ()
#21 0x0468f907 in SfxDispatcher::Execute ()
#22 0x0469000b in SfxDispatcher::_Execute ()
#23 0x046ba7b1 in SvxSearchItem::QueryValue ()
#24 0x046ba761 in SvxSearchItem::QueryValue ()
#25 0x0055557d in Window::GetPrimarySelection ()
#26 0x030446b4 in SalDisplay::DispatchInternalEvent ()
#27 0x030446f7 in SalX11Display::Yield ()
#28 0x03043055 in SalDisplay::GetPointer ()
#29 0x0303b62e in SalXLib::Yield ()
#30 0x003abc53 in Application::Yield ()
#31 0x003abcea in Application::Execute ()

User reported this on Linux originally.
Comment 1 pavel 2007-05-22 19:56:43 UTC
Created attachment 45321 [details]
Modify document and save it, it will crash.
Comment 2 pavel 2007-05-22 19:58:10 UTC
It crashes 2.2.0 as well.
Comment 3 michael.ruess 2007-05-23 10:17:29 UTC
MRU->AMA: open attached document, modify it a little bit, save -> crash
The document contains many redlines. This crash was introduced in OO 2.2.
automaticstyles?
Comment 4 andreas.martens 2007-07-10 14:22:21 UTC
Fixed in CWS swqbf101
docredln.cxx
Comment 5 andreas.martens 2007-07-19 13:17:09 UTC
Ready for QA.
Comment 6 michael.ruess 2007-07-23 15:43:00 UTC
Verified fix in CWS swqbf101.
Comment 7 michael.ruess 2007-08-02 11:42:06 UTC
Checked in 680m224.